#include <iostream>
using namespace std;
int main()
{
    int T;
    cin>>T;
    while (T>0)
    {
        float N,K,maloN,suma;
        int M;
        cin>>N>>M>>K;
        maloN=(N/K);
        suma=maloN*((maloN*(maloN+1))/2);
        if(suma>M)
            cout<<"Nie";
        else
            cout<<"Tak";
        T--;

    }
}